import React from 'react';
import styles from './index.less';
import Card from './Card';
import classnames from 'classnames';
const Panel = ({ products = [], onCardClick, pageIndex, pageSize }) => {
  return (
    <div className={classnames(styles.panel)} num={pageIndex == 0 ? products.length : pageSize}>
        { products.map((item, index) => <Card key={index} {...item} onCardClick={onCardClick}/>)}
    </div>
  );
};
export default Panel;
